﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.IO;
using System.Data;

public partial class _Default : System.Web.UI.Page
{
    public void ExportOnlyOnePage()
    {
        Response.Clear();
        Response.Buffer = true;
        Response.AddHeader("content-disposition", "attachment;filename=GridViewExport.xls");
        Response.Charset = "";
        Response.ContentType = "application/vnd.ms-excel";
        using (StringWriter sw = new StringWriter())
        {
            HtmlTextWriter hw = new HtmlTextWriter(sw);
            gvProcessReport.AllowPaging = false;
            gvProcessReport.DataBind();
            gvProcessReport.HeaderRow.BackColor = System.Drawing.Color.White;
            foreach (TableCell cell in gvProcessReport.HeaderRow.Cells)
            {
                cell.BackColor = gvProcessReport.HeaderStyle.BackColor;
            }
            foreach (GridViewRow row in gvProcessReport.Rows)
            {
                row.BackColor = System.Drawing.Color.White;
                foreach (TableCell cell in row.Cells)
                {
                    if (row.RowIndex % 2 == 0)
                    {
                        cell.BackColor = gvProcessReport.AlternatingRowStyle.BackColor;
                    }
                    else
                    {
                        cell.BackColor = gvProcessReport.RowStyle.BackColor;
                    }
                    cell.CssClass = "textmode";
                }
            }
            gvProcessReport.RenderControl(hw);
            string style = @"<style> .textmode { } </style>";
            Response.Write(style);
            Response.Output.Write(sw.ToString());
            Response.Flush();
            Response.End();
        }
    }

    public override void VerifyRenderingInServerForm(Control control)
    {
        /* Confirms that an HtmlForm control is rendered for the specified ASP.NET server control at run time. */
    }

    protected void OnPaging(object sender, GridViewPageEventArgs e)
    {
        GridView gv = (GridView)gvProcessReport;
        gv.PageIndex = e.NewPageIndex;
        gv.DataBind();
    }

    protected void btnExport_Page_Click(object sender, EventArgs e)
    {
        ExportOnlyOnePage();
    }
}